# Deposit Funds into Escrow

`sagacli` enables you to contribute funds towards a chainlet, thereby giving you a stake in the chainlet. You can use your account functions to fund your own chainlet or any other chainlet on the SAGA network. Your funding account will be made public on the SAGA network for that Escrow.

{% hint style="danger" %}
**IMPORTANT:** To deposit funds into an escrow account, you will need the `chain-id` associated to the chainlet you wish to contribute towards. You will also need to have an account that has enough balance to cover your deposit.
{% endhint %}

To make an escrow deposit, you will execute the following command:

```
sagacli account deposit-escrow <chain-id> <amount to deposit> --from <key name or account address making the deposit>
```

## Deposit Example

Let us see this deposit via an example.

Let's say we have a chainlet with a `chain-id` of magicwarriors\_1698795593524888-1. It was launched by a user holding the key named `ash`.

Now, a user with the key `fundkey` wants to contribute some funds towards this chainlet. Once the holder of key `fundkey` makes an escrow deposit, these funds will be placed in an escrow account associated to chainlet magicwarriors\_1698795593524888-1.

To make this deposit, we will execute the following command:

```
$ sagacli account deposit-escrow magicwarriors_1698795593524888-1 10000000 --from fundkey

You are about to sign and broadcast a transaction, with the following configurations:
* Keyname:                fundkey
* Keyring:                file
* Address:                saga17gk4chqd0lrkyamrxdmu62czmu0dpnemmxlymn
* Network RPC:            https://spc.sagarpc.io
* Platform chain id:      spc-1
* Ledger:                 false
* Gas limit:              250000
* Message Detail:
	creator:"saga17gk4chqd0lrkyamrxdmu62czmu0dpnemmxlymn"
	amount:"10000000.0000upsaga"
	chainId:"magicwarriors_1698795593524888-1"

Do you want to proceed? (y/N):
y
2023-10-31T17:11:36-07:00 INF tx broadcasted to the remote node code=0 gas_used=0 gas_wanted=0 hash=4F60AFB3F923AB9AAD56D71B65651DBB5FC7C438777DE54D312ACD35CDF1C49E
ChainId                              TotalBalance        Funder                                          FunderDeposit
-------                              ------------        ------                                          -------------
magicwarriors_1698795593524888-1     290000000upsaga     saga17gk4chqd0lrkyamrxdmu62czmu0dpnemmxlymn     10000000.0000upsaga
magicwarriors_1698795593524888-1     290000000upsaga     saga1yuvju0cztlahsf6f37z9j83vwyzgj6pzhx090f     280000000.0000upsaga
```

As you can see, the deposit was successfully made and the output above shows the balance breakdown of funds held in escrow for chainlet`magicwarriors_1679599719-1`.

## Further Deposit Details

For further details on making deposits to the escrow, run

```
sagacli account deposit-escrow --help
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.saga.xyz/sagacli/account-management/deposit-funds-into-escrow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
